<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-拖转</title>
	<style type="text/css">
		#div1{
			position: absolute;
			width: 200px;
			height:200px;
			background: red;
			border: 1px solid red;
		}
	</style>
	<script type="text/javascript">	
		 
		window.onload=function(){	
			function getPos(oEvent){
				var scrollTop=document.documentElement.scrollTop||document.body.scrollTop;
				var scrollLeft=document.documentElement.scrollLeft||document.body.scrollLeft;
				return {x:oEvent.clientX+scrollLeft,y:oEvent.clientY+scrollTop}
			};
			var disX=0;
			var disY=0;
			var oDiv=document.getElementById('div1');
			oDiv.onmousedown=function(ev){
				var oEvent=ev||event;
				disX=oEvent.clientX-oDiv.offsetLeft;
				disY=oEvent.clientY-oDiv.offsetTop;
				// document.title=pos.x+","+pos.y;
				document.onmousemove=function(ev){
				var oEvent=ev||event;
				var pos=getPos(oEvent);			
				var l=oEvent.clientX-disX;
				var t=oEvent.clientY-disY;
				var r=document.documentElement.clientWidth-oDiv.offsetWidth;
				var b=document.documentElement.clientHeight-oDiv.offsetHeight;
				if(l<0){
					l=0;
				}else if(l>r){
					l=r;
				}
				if(t<0){
					t=0;
				}else if(t>b){
					t=b;
				}
				oDiv.style.left=l+'px';
				oDiv.style.top=t+'px';
				};
				document.onmouseup=function(){
					document.onmousemove=null;
					document.onmouseup=null;
				};
				return false;
			};
			
		};
	</script>
</head>
<body>
	<div id="box">
		<div id="div1">
			
		</div>
	</div>
</body>
</html>